Subject: PROPOSAL: ways out of the jungle ;-)
From: [email-masked]
Date: 7 May 1993 01:39:24 +0300
Newsgroups: comp.os.linux.announce

when i made contact with linux (0.12: those were the days ...  ;-)
and started customizing my setup my first thought was:

WELCOME TO THE JUNGLE!

there were a lot of these funny .something files which set options for
thisorthat program. as time went by i learned where to define aliases,
set paths, define keys for 'emacs' and 'less' ...
more time went by and brought X with some more .X* files conveniently
scattered all over the /usr/X386/lib/X11/... hierarchy. ;-)
one of these days i reinstalled 0.99p9SLS from scratch and so i
had to do a lot of re-customizing again (from wisely saved .@#$%^&
files.) 

and while doing this, little hans came up with an interesting idea
how all this customizing work could be made a better and happier thing. 
this time it was right, it would work, and no one would have
to ... (nonono wrong book :-0  .)

the idea is to create a config directory (e.g. /etc/configs) which
contains links (symbolic ?) to all configuration files and a little
README explaining what they do in some short words (and why some
of these files have to be in the users home directory :-).

i think this could make a nice little clearing in the jungle where
especially newbies could get some orientation (on what can be
customized).

but it would also make things a lot easier for experienced users.

so what do you think about such a directory? would it be useful to
you. what would you put in it? where would you put it? should we use
symbolic or hard links?

i'm willing to maintain this directory and the README if there is
interest in it.

by mow i'll put into /etc/configs

the README

links to:                                                           

/etc/profile
/etc/rc
/etc/rc.local
/etc/rc.net
.../Xconfig
.../xinitrc
.../twmrc
.../olvwmrc

sample files of all stuff that goes into the home directiries:

.login
.*shrc
.less
.emacs

this list is far from complete. please tell me what you are missing.

hans

 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
I                  __     I   Hans Bernhard Wiezorke  (at Uni. of Karlsruhe)  I
I /opus\    _____(@  \    I   E-Mail :  [email-masked]          I
I \sndo/   /.         !   I          or [email-masked] (for large mails) I
I          ------)    !   I- - - - - - - - - - - - - - - - - - - - - - - - - -I
I                X~~~~!   I          The only thing that turns me on,         I
I- - - - - - - - - - - - -I          Is when i hear a soulful song ...        I
I std. disclaimers apply  I                   (Tower Of Power)                I
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -